.form {
  width: 100%;
  max-width: 458px;
  padding: 20px;
  border: 1.5px solid rgba(0, 0, 0, 0.5);

  &__button {
    display: block;
    width: 100%;
    max-width: 270px;
    margin-right: auto;
    margin-left: auto;
    padding: 10px;
    font-style: normal;
    font-weight: 500;
    font-size: 24px;
    line-height: 29px;
    text-align: center;
    color: #000000;
    background: #ffb301;
    border: none;
    box-shadow: none;
    transition: all 0.3s;

    &:hover {
      box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.5);
    }
  }
}

.form-group {
  position: relative;
  margin-bottom: 20px;

  & input,
  & textarea {
    width: 100%;
    padding: 10px 7px;
    color: rgba(0, 0, 0, 0.5);
    background: #e5e5e5;
    border: none;
  }

  & label {
    position: absolute;
    top: 10px;
    left: 7px;
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    color: rgba(0, 0, 0, 0.5);
    transition: all 0.3s;

    &.active {
      top: -20px;
      left: 0;
      font-size: 14px;
    }
  }


  &:hover {
    & label {
      top: -20px;
      left: 0;
      font-size: 14px;
    }
  }

  & sup {
    color: red;
  }
}
